- ## 2.2.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added support to set the user interface language in iFile's preferences. This setting takes effect after restarting the application.
    - Added support for shortcuts on iPhone as on iPad (via bookmark button).
  - Fixes
    - iFile shows now the application names again under iOS 8 in /var/mobile/Containers/Bundles/Application.
    - Fixed that external viewers are listed again under iOS 8.
    - Fixed crash when an image got saved to the camera roll under iOS 8.
    - Fixed that the pop-up menu in file browser did not hide when tapping outside of the pop-up menu.
    - Added Hebrew localization (previously not added).
    - iFile does not crash anymore after it got backgrounded: It stays 3 minutes in background before it exits.

- ## 2.1.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added Hebrew localization.
    - Added iPhone 6 and iPhone 6 Plus support.
    - Added icons for iPhone 6 Plus.
    - During search in file list the search magnifying glass icon gets replaced with an activity indicator.
  - Fixes
    - Fixed problem in not listing some external viewers, e.g. Whatsapp, Dropbox, iMovie etc.
    - Fixed issue that Bluetooth transfers via GameKit were not working on iOS 7+ anymore.
    - Fixed issue that stored URL from a 2nd tab will be stored back to 1st tab.
    - Fixed that status bar was black on black in Audio Player.
    - Fixed bug in Box SDK that lead to crash on launch on iOS 8.
    - Updated "Pull down to refresh" arrow with iOS 7 styled one on iOS 7 and later.
    - Fixed that integer numbers containing a decimal indicator (, or .) got interpreted as floats in Property List Editor number fields.

- ## 2.0.1-1 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Fixed broken Open with... in Attributes Editor.
    - Corrected wrong iFile icon on iOS6 and below.

- ## 2.0.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Enhanced iFile to be compatible with iOS 7 including new icon, buttons, and iOS 7 look and feel.
  - Fixes
    - Fixed crash when used tried to enter a PayPal registration email address (only required for people who did not buy in Cydia Store).
    - iFile could not be terminated on iOS 7 via the App Switcher. This could only be fixed by always exiting it when you background it. However, it will stay active for another 180 seconds after backgrounding. It does not quit if you play music in background.

- ## 1.9.1-1 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Fixed crash when saving a modified file in Hex Editor.

- ## 1.9.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added WebDAV client with support for HTTP and HTTPS.
    - Added Bonjour browser to find FTP, WebDAV and WebDAVS servers.
    - Added Hex Editor. It can be opened via Open with... in a file's Attributes Editor. It supports search, go to index, copy, cut, paste, delete, and undo/redo. Supported Gestures:
      - Tap on line numbers changes between hexadecimal and decimal representation.
      - Tap on hex/string fields sets cursor. Second tap on same position shows edit menu.
      - Double tap on hex/string fields selects a single byte/character.
      - Tripple tap on hex/string fields selects a complete line.
      - Long-press on hex/string fields lets you move the cursor around showing a magnifying glass.
      - Pinch changes the font size.
    - Added SQLite3 Editor for files with extension sqlite, sqlite3, sqlitedb, db. It allows to edit integer, float and string fields. Blob fields are not editable.
    - Added new preferences option to have folders to be at top of file list or sorted the same way as files (only sort by size is an exception to this as folders don't have a size associated with them).
    - Added Shared section in shortcuts on iPad to contain remote file system shortcuts, e.g box.net and Dropbox.
    - Enabled mounting of MSDOS formatted disk images (DMG) and also mounting of ISO disk images.
    - Import of songs and videos to iPod Library is now a free feature requiring the Gremlin Framework package to be installed.
    - Bulgarian language support added (provided by Kristiyan Tanev).
  - Fixes
    - Corrected download progress for download of a single file from an FTP server.
    - Corrected double loading of directory contents on iPhone after clearing a remote server cache.
    - Fixes to WebDAV server to better play with new iFile WebDAV client.
    - Added username and password form in case loading an FTP directory failed because of failed authentication.
    - Fixed failing directory creation during hierarchical upload to box.net.
    - Fixed that songlist and play options in Audio Player were ill formatted when Audio Player got opened in landscape mode on iPad.
    - Fixed that canceling downloads from Dropbox did just close the HUD, but did not cancel the operation.
    - Corrected that taps on the play options in Audio Player caused the play options view to be hidden.
    - Corrected illegal character in Czech localization.
    - Fixed that Dropbox-to-Dropbox move/copy did not work (also applies to renaming of files) because of changed Dropbox API.
    - Fixed bug that lead to not showing the viewer chooser for files that don't have a supported mime-type.
    - Fixed crash in Audio Player in case of certain invalid ID3 data in a song.

- ## 1.8.1-1 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Corrected iFile binary for old iDevices (armv6) to be identical to 1.7.2-2 instead of 1.7.0-2.
    - Corrected that iFile did not run as super user on old iDevices (armv6).
    - Updated Hungarian localization and HTML files.
    - Fixed crash on iOS 5.1 when linking to Dropbox (happened when Dropbox app was not installed).
    - Fixed that iFile did not remember that it got already linked to a box account.
    - Fixed that option bar got hidden in AudioPlayer when the user tapped on repeat mode button, shuffle button or iPod Library Import button.

- ## 1.8.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Updated iFile for iPhone 5 (startup image) and iOS 6 support in general.
    - Support added for accessing box.net as remote file system.
    - Support for remote browsing of Toshiba FlashAir SDCards added as remote file system (browsing and copying supported).
    - Upgraded Dropbox SDK Version to 1.3.2 - mandatory to allow authentication beyond 30-Nov-2012.
    - Removed trash icon for closing tabs and added close button instead (similiar to Safari).
    - Added xm file extension to be opened in iFile's Text Editor by default.
    - Switched compiler from GCC to CLANG.
    - The fixes and enhancements of this release will only apply to armv7 based iOS devices, i.e. following iOS devices:
      - All iPads running iOS 4 or later.
      - All iPhones starting with iPhone 3GS or later.
      - All iPod touch starting with iPod touch (3rd gen.) or later.
    - Added background images to file browser to ease identification of box, Dropbox and FTP tabs.
    - Added labels for file system type and path to tab chooser.
  - Fixes
    - Fixed crash in Registration Status dialog after entering it for 2nd time.
    - Corrected reflection of browser images in tab chooser.
    - Crash fixed in Zip Viewer.
    - Fixed deadlock during startup of iFile when a password needed to be entered for an FTP server, but it was blocked by the startup GUI.
    - Fixed registration failures on iOS 6
    - Fixed that browser did not refresh after file renaming on an iPad.
    - Fixed various issues with bookmarking of files on iPad.

- ## 1.7.2-2 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Fixed wrong field height in Preferences on iPad.

- ## 1.7.2-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - iFile will now show a movie icon for avi files.
    - iFile's web server shows now also App names and song titles instead of cryptic paths when these options are enabled in iFile's preferences.
    - Updated iFile's web server's favicon.
    - Added support for automatically uploading text files edited on an FTP server after a save operation in Text Editor.
  - Fixes
    - Explicitly setting of black background for tab chooser.
    - Avoided dead lock when password entry for FTP server was required, but GUI was blocked by glass pane.
    - Fixed that navigation bar did not get hidden during search on FTP server and Dropbox.
    - Fixed that search on FTP server and Dropbox did not show matching directories.
    - Added workaround to avoid crashes during directory listings on FTP servers not supporting UTF8 natively. Files with special characters on such servers list now correctly, but cannot be renamed, moved or copied.
    - Fixed broken creation of symbolic links via 'New' form.
    - Fixed GUI glitch of too large field for buying an iFile license.
    - Fixed empty preferences after returning from About iFile.
    - Fixed that hierarchical search always searched also in hidden folders independent of iFile's preferences setting.
    - Fixed that for cached files from an FTP server the list of file viewers was incorrectly displayed.
    - Fixed that an cancelled FTP file transfer did not get interrupted.
    - Fixed that file name of the ZIP got shortened when it contained multiple dots in its name.
    - Fixed that deletion of multiple files on FTP server stopped after first file deletion.
    - Fixed that a select all in search results did not make the toolbar visible again.
    - Corrected behavior when editing attributes of a file in search results: After pressing done in Attributes Editor, the user returns to the current directory instead of the search results.

- ## 1.7.1-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added support for loading MobileSubstrate extension SwipeShiftCaret.dylib.
    - Added support for hiding dot files on QNAP NAS (start with :2e).
    - Vietnamese Localization added.
    - preinst script included in iFile package that kills iFile before installation in Cydia.
  - Fixes
    - Corrected reformatted preferences view when returning from sub-views.
    - Corrected handling of empty file name when creating new file/folder/link to avoid crash.
    - Corrected handling special characters in user names in FTP URL's, e.g. email addresses.
    - Corrected that Attributes Editor did not close after FTP/Dropbox file renaming (iPhone).
    - Corrected that directory listing did not get updated after FTP/Dropbox file renaming (iPad).
    - Corrected reading of preferences so that they don't get overwritten by defaults (iOS 4.x).
    - Corrected shortened directory listings on FTP servers in case of large number of files./li>
    - Corrected bug that not all files of large FTP directories did get copied/moved to local file system.
    - Fixed display issue when user rotated the iDevice in a viewer and then returned to file browser.
    - Fixed crash while storing a text file in Dropbox from Text Editor.
    - Corrected too small display of PDF's on 3rd generation iPad.
    - Corrected Image and PDF Viewer to display the images and PDF's fixed centered (iOS 5.x).
    - Corrected handling of copying between remote and local file systems in case of using just a single tab.
    - Fixed crash in Preferences->Registration Status.
    - Fixed crash when deleting files.

- ## 1.7.0-2 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Corrected Polish and Japanese localizations.
    - Included Hungarian and European Portuguese localizations in package.

- ## 1.7.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added option to open new tabs using bookmarks.
    - Completely refactored local and remote file handling.
    - New FTP client supporting copy, cut, paste, rename, delete.
    - Overhaul of Dropbox implementation.
    - Changed iFile-to-iFile Bluetooth transfer to disable device locking during transfer.
    - Added section index also in case of sorting and grouping files by extension.
    - Restructured iFile's preferences.
    - AirBlue Sharing support added.
    - Added support for auto mounting harddisks (MSDOS and HFS file systems) on iPad via Camera Connection Kit.
    - Hungarian and European Portuguese localization added.
  - Fixes
    - Corrected German and Chinese localizations.
    - Fixed handling of large files sizes for download, upload and directory listing in Web Server.
    - Added strict type checking on preferences to avoid potential crashes because of illegal values in the preference file.
    - Fixed crash on iPad while changing attributes hierarchically.
    - Updated French localization.
    - Fixed crash of Web Viewer on iOS 5.1 (caused by iOS bug).
    - Avoided showing of . and .. for mounted flash drives.
    - Fixed broken disk image mounting for iOS 5.x.

- ## 1.6.1-3 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Fixed issue in web server's content headers leading to corrupt pages for Firefox 8.
    - Fixed segmentation fault when renaming Dropbox files on iPad.
    - Updated Dropbox SDK to version 0.3.
    - Added korean translator to features.html.
    - Corrected too small "Pull down to reload" label in Chinese in landscape on iPad.
    - Fixed registration status dialog field sizes.
    - Corrected position of Done button in HUD when saving a file to Dropbox from Text Editor.
    - Fixed that saving a file from Text Editor to Dropbox failed when the filename contained special characters.
    - Fixed Send/Cancel button handling for support emails for iOS 5.
    - Fixed that downloaded Dropbox music files could not be played in Audio Player.

- ## 1.6.1-2 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Corrected French translation for "The image got successfully added to the camera roll.".
    - Added Web Viewer as default for mime-types image/jpeg, image/bmp, image/png, image/tiff,image/gif.
    - Added no-artwork image for Audio Player in iPad's native resolution.
    - Localized "MB free" at bottom of file browser.
    - Corrected that image sizes did not get displayed correctly for @2x files.
    - Fixed bug that lead to re-registration of iFile at every start.
    - Fixed crash in Audio Player related to empty genre string setting in mp3 files.

- ## 1.6.1-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added support for DMG (Apple Disk Image) mounting./li>
    - Dropbox files and directories get shown in green color if they are contained in local cache.
    - Dropbox choice in add tab dialog will only be shown if iFile got linked to Dropbox.
    - Added support for cover art embedded in mp3 files (ID3).
    - Added support for copying a file's MD5 sum in Attributes Editor by tapping on it.
    - Added support for copying public Dropbox link in Attributes Editor.
    - Added support for cancelling Dropbox downloads.
    - Enhanced support email to block email sending when no issue has been entered.
    - Added support for displaying the image size in title bar in Image Viewer.
  - Fixes
    - Fixed that Done button in Attributes Editor did not work for Dropbox files.
    - Corrected typo in file name for loading of KeybordFix.dylib to support custom keyboards also on iOS 4.3.x.
    - Corrected that in some translations the "Pull down to refresh..." had a too large font and that the arrow had the wrong position.
    - Added support for Open with... in Attributes Editor for Dropbox files.
    - Corrected that after a file change, e.g. attributes, text editor, plist editor, the list got reloaded and scrolled to top.
    - Fixed crash because of illegal preference values.

- ## 1.6.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - File Browser
      - Full Dropbox support with following features (Registered Users):
        - Copy/move from local file system to Dropbox, from Dropbox to local file system, from Dropbox to Dropbox.
        - Create new folders in Dropbox.
        - Edit filename for files and folders on Dropbox.
        - Show thumbnails in file browser if they are available from Dropbox - supported in 32x32 and 64x64 (retina) resolution.
        - Downloaded files and thumbnails get cached locally.
        - The Dropbox cache can be cleared in Preferences.
        - A user can link to and unlink from Dropbox via Preferences.
        - Pressing Home button on a Dropbox tab gets the user to Dropbox root directory.
      - Added support for "Pull down to reload" in file browser (above search bar).
      - Added display of number of files in current directory and free bytes in associated file system at bottom of file browser (for local file system and Dropbox).
      - Added support for long press on table to select all also in non-editing mode.
    - Attributes Editor
      - Added support for Add to iPod Library for songs and videos (only available if Celeste or YourTube got also purchased).
    - Image Viewer
      - Added confirmation for image deletion in Image Viewer.
    - Web Viewer
      - Added webarchive support.
    - Audio and Video Player
      - Added support for playing content (music/videos) purchased in iTunes.
    - Preferences
      - Added preferences setting to store paths, i.e. paths of tabs get stored on exit.
      - Changed default of "Use Trash" to Yes.
    - Localizations
      - Updated Romanian localization and change-log.
      - Polish updated.
      - Added Korean localization.
  - Fixes
    - Added loading of KeybordFix.dylib to support custom keyboards also on iOS 4.3.x.
    - Added iFile package dependency on diskdev-cmds package to allow unmount of SDCards/USB sticks connected to iPad via Camera Connection Kit.
    - Fixed that when tapping on 'Apply hierarchically' in Attributes Editor, the 'Open with...' dialog came up.
    - Fixed that with active "swipe to delete" pressing the Edit button lead to inconsistent table appearance.
    - Corrected that rotation deselected browser items and reloaded folder contents.
    - Fixed that if a file got removed that a symbolic link pointed to, lead to hiding the symbolic link in the file browser.
    - Corrected cydia:///package/ to cydia://package/ in all about.html.
    - Disabled iPod lib export button for videos in Attributes Editor if Gremlin 2 is not installed.
    - Disabled confirmation dialog when cancelling a support email.

- ## 1.5.0-4 - Bugfix Release

  - Fixes
    - Fixed issue with not being able to create directories containing spaces in their path.
    - Fixed issue that spinning wheel still did not disappear for some users.
    - Fixed issue that pressing + button to add a file/folder/link for fourth time crashed iFile.
    - Corrected bug that changes in a String field of an Array in a property list did not get stored.
    - Corrected that after a change of a file in Property List Editor or Text Viewer the file browser did not get updated.

- ## 1.5.0-3 - Bugfix Release

  - Fixes
    - Fixed issue that if a non-existing folder was referenced in iFile's preferences, iFile still showed the spinning wheel forever.
    - Fixed that using a URL like ifile:///<path> did not go to that path in the file browser for files and did not work at all if the URL referred to a directory.
    - Corrected failing registration for some users with registration problems.
    - Fixed that directory did not get updated after running the Installer and Unarchiver.

- ## 1.5.0-2 - Bugfix Release

  - Fixes
    - Fixed issue that if a folder iFile starts with did not exist, iFile showed the spinning wheel forever.
    - Fixed crash when transferring a file from iFile to iFile (sender crashes).
    - Fixed bug that when a user chose select all, iFile did not enable the toolbar buttons.
    - Fixed crash when tapping on folder in search results of hierarchical search.
    - Fixed crash when choosing a viewer for a file without known type for 4th time.
    - Fixed that opening files in iFile via URL ifile:///<path> did not work anymore. This was a problem in context with Attachment Saver and Safari Download Manager.
    - Slowed down animation when moving through tabs in tab chooser (cover flow).
    - Enabled antialiasing in tab chooser (cover flow).

- ## 1.5.0-1 - Feature and Bugfix Release

  - Fixes
    - Corrected broken links in Web Server index pages for files with special characters.
    - Updated Chinese localizations.
  - Enhancements
    - Loading of libstatusbar.dylib and SwipeToMoveCursor.dylib enabled.
    - Romanian localization added.
    - Celeste/Gremlin Integration
      - Added support for sending files via Celeste (Bluetooth).
      - Added support for adding songs to iPod Library using Gremlin for @cocoanutapps. This is possible in Attributes Editor and Music Player.
      - Removed support for iBluenova for iOS 4.x and later.
    - File Browser
      - Added MD5 sum calculation for files in Attributes Editor.
      - Initial directory content retrieval backgrounded.
      - Added glass pane covering GUI while loading initial directory content.
      - Replaced action button with clipboard button image (editing mode).
      - Added support for up to eight tabs via new button in file browser toolbar.
      - Added tab chooser using cover flow GUI. Allows adding and removing tabs.
      - Added support for two-finger swipe gesture to allow swiping between tabs.
      - Removed info button from file browser toolbar.
      - Added support for long press on table to select, select all, deselect all, copy, cut, paste, link.
      - Removed behavior that double tapping the table selected/deselected all files.
    - Preferences
      - Removed "Store on exit" option in preferences as it is obsolete in context of tabs.
      - Added About iFile and Contact Developer fields.
      - Implemented GUI Color setting (navigation bars and toolbars for selected viewers).
      - Changed default icon theme to Leopard.
    - Property List Editor
      - Corrected cell formatting to avoid empty space in multi-line cells.
      - Changed font size used in String Editor in Property List Editor (larger).
    - ZIP Viewer
      - Added support for extracting password encrypted zip files.

- ## 1.4.2-1 - Feature and Bugfix Release

  - Fixes
    - Fixed iFile crash when sending directories via Bluetooth (will just abort).
    - Implemented search bar for Property List Editor.
    - Fixed overly large memory consumption during hierarchical file search.
    - Registered Web Viewer and Text Viewer for SVG files (image/svg+xml mime-type).
    - Added delete button in Image Viewer.
    - Changed string fields in Property List Editor to allow multi-line values.
    - Added support to go to directory of a file via Attributes Editor's path field.

- ## 1.4.1-3 - Bugfix Release

  - Fixes
    - Corrected bug that PDF Viewer did not allow to swipe to last page.
    - Corrected on iPad that Image and PDF Viewer hid the navigation bar and tool bar when print form and bookmark creation form were visible.
    - Implemented better error handling in Video Player for invalid formats.
    - Fixed issue that if iFile was not yet running in background and opening a file in iFile via ifile:///<path> URL (e.g. from Safari Download Manager) opened the file viewer, but did not close the file viewer choice list.
    - Corrected two-finger double-tap zoom-out behavior in Image and PDF Viewer to completely zoom out.
    - Enhanced Audio Player to remember visibility of repeat/shuffle options (shown after tap on album cover).

- ## 1.4.1-2 - Bugfix Release

  - Fixes
    - Fixed bug that pressing Done button after a file name change in Attributes Editor did not close the Attributes Editor.
    - Updated Chinese translation of change-log, features and about pages.

- ## 1.4.1-1 - Bugfix and Feature Release

  - Enhancements
    - Added support for two-finger double tap to zoom out in PDF and Image Viewer.
    - Updated Portuguese, Czech and Arabic localization
    - Updated Polish change-log translation
  - Fixes
    - Fixed crash in portrait mode when pressing sidebar button on iPad.
    - Corrected bug (related to iOS bug) that the file attributes of files on a flash drive were not shown and could not be edited.
    - Fixed that the trash icon remained disabled after swipe to delete.
    - Fixed handling of images opened via Open with... in Image Viewer.
    - Limited zoom-in in PDF and Image Viewer to max. zoom scale.
    - Fixed iFile crash when showing file contents of certain password encrypted rar files.
    - Fixed crash of PDF Viewer.
    - Fixed crash when opening same file for 3rd or 4th time in PDF Viewer or Image Viewer.
    - Fixed display problem when showing search bar in Text Editor in landscape mode.
    - Corrected name of mpeg@2.png to mpeg@2x.png in Leopard theme.
    - Registered Text Viewer in addition to Property List Editor for application/x-plist mime-type as default viewer.
    - Property List Editor
      - Performance improvements for large dictionaries and arrays.
      - Fixed bug that led to empty strings files in Property List Editor after saving.
      - Fixed that iFile did not store a field's value in case done got pressed when the field got still edited (keyboard visible).

- ## 1.4.0-1 - Bugfix and Feature Release

  - Please note that the enhancements in this release are only available on devices with iOS 4.0 and later.
  - This release contains only an updated and translated localization for Chinese, Croatian, Dutch, English, Finnish, French, German, Greek, Italian, Japanese, Polish, Russian, Slovak, Spanish, Turkish, Ukrainian. All other localizations will get updated in following minor releases.
  - Enhancements and Fixes
    - Added loading of libactivator.dylib.
    - Corrected typo's in Chinese and English localization files.
    - If trash is used and a file is supposed to be moved to trash, an already existing file at same target path gets deleted before the move.
    - Added new GUI-based Property List Editor.
    - Added support for extracting password protected rar files in Zip Viewer.
    - Allowed rotation in all directions again.
    - Enhanced mounting of USB sticks so that multiple mounts are possible at same time (e.g. using a USB hub). Maximum is currently 4 mounts in parallel.
    - Enhanced Voice Over support for file browser in edit mode.
    - Added thumbnailing file size limit to preferences.
    - Added support for Retina display for
      - image thumbnailing
      - icon themes
      - button images in GUI
    - Image Viewer
      - Added swipe functionality.
      - Added double-tap to zoom.
      - Added AirPrint support (iOS 4.2.1 and later).
      - Added support for raw file formats:
        - Canon: crw, cr2
        - Epson: erf
        - Fuji: raf
        - Hasselblad: 3fr
        - Kodak: kdc
        - Mamiya: mef
        - Minolta: mrw
        - Nikon: nrw, nef
        - Olympus: orf
        - Panasonic: rw2
        - Pentax: pef
        - Sony: arw, sr2
    - PDF Viewer
      - Added swipe functionality.
      - Added double-tap to zoom.
      - Added AirPrint support (iOS 4.2.1 and later).
    - Text Editor
      - nib, plist and strings files get interpreted as property list files.
    - Video Player
      - Added AirPlay support (iOS 4.2.1 and later).
      - Added support for 3g2 and 3gpp2 video formats.
      - Fixed broken TV Out.
    - Web Viewer
      - Added AirPrint support (iOS 4.2.1 and later).

- ## 1.3.2-1 - Bugfix and Feature Release

  - Enhancements and Fixes
    - Updated Czech localization
    - Added creation of application support folders.
    - Added creation of AddressBook symbolic link for user root.
    - Added support for opening files when iFile is in background.
    - Added support for iPod controls, headset support (handling of remote control events), i.e. previous, next, play, pause, stop.
    - Fixed that Audio Player did not go to next song when in background.
    - Fixed crash when deleting shortcuts on iPad.
    - Updated icon for iOS 4.x on iPhone 3G(S) etc.
    - Accessability support added to file browser cells.

- ## 1.3.1-1 - Bugfix and Feature Release

  - Enhancements
    - Implemented digest authentication for Web/WebDAV Server (makes it compatible with Windows 7).
    - New icons for iOS4 on iPhone 4 (app icon and small icon for spotlight).
    - Added preferences setting to enable/disable external viewers.
  - Fixes
    - Fixed that Web Server, Preferences turned black.
    - Fixed crash in Audio Player when artist was not set for a song and playlist got shown.
    - Corrected space for song length remainder time for the song position slider in Audio Player so that very long song times get shown correctly.
    - Fixed position of alert for creating a ZIP file in File Browser and for going to a page in a PDF file in PDF Viewer so that it is not hidden behind the keyboard anymore.
    - Fixed crash of iFile in Text Editor when searching while in edit mode.
    - Fixed crash when creating symbolic link.

- ## 1.3.0-2 - Bugfix Release

  - Fixes
    - Fixed issue in Attributes Editor that text field values did not get used when pressing done/create.
    - Fixed that opening a file in any viewer lead to unmounting a mounted flash drive. Instead iFile unmounts at exit now.
    - Fixed crash in thumbnailing.
    - Corrected background color of thumbnails.
    - Minor correction in Polish localization.
    - Fixed that recipients did not get found in user's contacts when composing an email with an attachment.

- ## 1.3.0-1 - Feature and Bugfix Release

  - Added support for iOS 3.2 and iOS 4.0 File Sharing
    - Added support for opening file types in iFile by external applications on iOS 3.2 and iOS 4.0, e.g. Mobile Mail attachments. iFile becomes an external viewer for multiple formats.
    - Added support to use the new file exchange support so that iFile can open files with external (AppStore) viewers that support specific file types, e.g. Pages, Numbers, Keynote, Air Sharing etc.
  - iPad Enhancements
    - Added sidebar containing shortcuts and bookmarks for iPad including mounting and unmounting support for USB Sticks and SDCards connected to the iPad via the Camera Connection Kit.
    - Changed GUI color on iPad to be the default gray.
    - Changed behavior of buttons vs. pop-over views so that pressing a button when a pop-over is still visible closes the pop-over and executes the button action afterwards.
    - Corrected preferences behavior to immediately having effect on file browser when changing settings.
  - General Enhancements
    - Replaced progress HUD with a new custom one that supports rotation of the device.
    - Moved thumbnail creation into background thread so that scrolling with thumbnails is smoother.
  - Fixes
    - Fixed crash at startup on iOS4.
    - Fixed broken Web Server for iOS4.
    - Fixed that after file/directory/link creation the file browser did not update the file list on iPad.
    - Fixed that app directory name did not get shown on iPad when app names were enabled in preferences.
    - Corrected action view position in Zip Viewer when unpacking items on iPad.
    - Corrected that file name and link target fields forget their setting when getting scrolled out of view in Attributes Editor.
    - Corrected size display in file browser for files > 2GB.

- ## 1.2.2-1 - Feature and Bugfix Release

  - Added support for iPad
    - Usage of pop-over views for bookmarks, preferences, attributes, Open with... dialogs and all action dialogs.
    - Show also file size and file modification date in File Browser when displaying song titles, search results etc.
  - MobileSubstrate Extension Support
    - Loading of QuickScroll2 added when available.
  - File Browser
    - Changed default to "Directory" when creating a new file/directory/link.
    - New iFile icon without shadow for iPhoneOS 4.0.
  - Fixes
    - Fixed broken zooming in Web Viewer, e.g. xls, doc, html documents etc.
    - Minor correction in French localization
    - Fixed that fields with on/off switch in Preferences "forgot" their setting during scrolling.
    - Removed upside-down rotation.
    - Fixed that the bookmarks editor did not save the bookmarks in case they got added and immediately used.

- ## 1.2.1-2 - Bugfix Release

  - Fixes
    - Fixed that the Registration Status view did not allow entering a registration email address on the iPad.
    - Corrected encoding of change log files for multiple languages.
    - Added loading of Rotation Inhibitor Mobile Substrate extension.

- ## 1.2.1-1 - Feature and Bugfix Release

  - Added support for iPad
    - Adjusted Audio Player to scale correctly also on iPad.
    - Added new icons in required resolutions for iPad.
    - Added startup images for iPad in portrait and landscape mode.
    - Updated Info.plist to contain supported iPad orientations of iFile.
    - Fixed video playback for iPad and OS 4.0.
  - Fixes
    - Fixed crashes in Web Viewer (used for documentation viewing, xls, doc, html, pages etc.)
    - Fixed crash in case a user had Universal apps (iPhone and iPad) from AppStore installed that used the incorrect key in its Info.plist for listing icons.
    - Updated Czech localization and documentation
    - Removed automatic loading of MobileSubstrate extensions apart from: ActionMenu, Backgrounder, WinterBoard, KeyboardSupport, SimulatedKeyEvents, mcclient, UIHook-iKeyEx3, resupported.
  - Audio Player
    - Added storing of repeat mode setting of Audio Player in iFile's preferences.
  - Web Server
    - Fixed issue of failed copy operations when copying a file from iFile's WebDAV server to a PC using Windows' WebDAV client (added Last-Modified tag to HTML response header).
    - Fixed issue that copy from Mac to iFile failed because of wrong chunked format handling in iFile.
    - Fixed that move or copy requests failed on Mac's WebDAV client when using Bonjour.

- ## 1.2.0-1 - Έκδοση με νέα Χαρακτηριστικά και Επιδιορθώσεις

  - Επιπρόσθετες Μεταφράσεις
    - Προστέθηκε υποστήριξη για Ελληνικά, Κροατικά και Φινλανδικά.
  - Επιδιορθώσεις
    - Διορθώθηκε το κρασάρισμα του Προβολέα Ταινιών έπειτα από την αναπαραγωγή μουσικής.
    - Διορθώθηκε η ανεπιθύμητη έξοδος της εφαρμογής κατά την αναζήτηση και την περιστροφή της συσκευής ταυτόχρονα.
    - Διορθώθηκε το πρόβλημα κατά την αποθήκευση των παλαιού στυλ αρχείων PLIST στην Επεξεργασία Κειμένων.
    - Αφαιρέθηκε το fade-effect των εικόνων στον προβολέα PDF.
  - Εγγραφή
    - Νέος μηχανισμός εγγραφής έτσι ώστε οι χρήστες που αγόρασαν το iFile στο Cydia Store δε θα χρειάζεται πλέον να εισάγουν το email τους στο iFile.
  - Προτιμήσεις
    - Ρύθμιση για την εμφάνιση/απόκρυψη των τίτλων των εφαρμογών στο /var/mobile/Applications
    - Ρύθμιση για την εμφάνιση αρχείων σε ομάδες (Ομαδοποίηση)
    - Ρύθμιση για την ταξινόμηση σε αύξουσα ή σε φθίνουσα σειρά.
    - Η ρύθμιση για τις προεπισκοπίσεις βρίσκεται τώρα στις προτιμήσεις του iFile.
  - Περιηγητής Αρχείων
    - Νέο εικονίδιο για το iFile σχεδιασμένο από τον Daniel Waldron από το EyeDevs
    - Μεταφορά αρχείων μέσω Bluetooth iFile-σε-iFile. Ο λήπτης δε χρειάζεται να είναι εγγεγραμμένος. Ο αποστολέας θα πρέπει να έχει αγοράσει το iFile.
    - Αποστολή αρχείων μέσω του iBlueNova to any supported other devices
    - Ο περιηγητής αρχείων τώρα σας επιτρέπει να κατατάξετε τα αρχεία σας με βάσει της επιλεγμένης σειράς:
      - Αλφαβητική Κατάταξη: A-Ω, και #.
      - Κατάταξη κατά κατάληξη
      - Κατάταξη κατά Μέγεθος : 0-10KB, 10-100KB, 100KB-1MB, 1MB-10MB, 10MB-100MB, >100MB.
      - Κατάταξη κατά Ημερομηνία: Σήμερα, Χθές, Νωρίτερα αυτήν την εβδομάδα, Την προηγούμενη εβδομάδα, Νωρίτερα αυτόν τον μήνα, Τον προηγούμενο μήνα, Πρίν δύο μήνες, Νωρίτερα αυτόν το χρόνο, Πέρυσι, Πρίν δύο χρόνια, Παλαιότερο.
    - Αλλαγή της ταξινόμησης των αρχείων και των καταλήξεων για να μην εμφανίζονται μόνο κατά εξάρτηση του πρώτου γράμματος (Κεφαλαίο/Μικρό) αλλά και βάσει του αν περιέχεται αριθμός στην ονομασία, π.χ. ένα αρχείο που θα ονομάζεται "Hugo (10).txt" τώρα θα εμφανίζεται μετά το αρχείο "Hugo (8).txt".
    - Επιδιορθώθηκε η θέση του εικονιδίου σελιδοδεικτών χρησιμοποιώντας ένα τροποποιημένο εικονίδιο αντί του προεπιλεγμένου (iPhoneOS bug).
    - Μέσω της αναζήτησης θα μπορείτε τώρα να εντοπίζετε ένα μουσικό κομμάτι αναζητώντας το πληκτρολογώντας περισσότερες πληροφορίες για αυτό (τίτλος, καλλιτέχνης, άλμπουμ) εφ'όσον η ρύθμιση για την εμφάνιση μουσικών τίτλων από τις προτιμήσεις του iFile είναι ενεργοποιημένη.
    - Αφαιρέθηκε ο περιορισμός τροποποιημένου σχήματος URL ifile:// στα αρχεία που βρίσκονται στο /var/mobile.
  - Τύποι Αρχείων
    - Αρχεία PDF: Έχετε την επιλογή να δείτε ένα αρχείο PDF είτε με τον προβολέα Web είτε με τον προβολέα PDF.
    - SQLite3: Υποστήριξη για εφαρμογές τύπου mime /x-sqlite3 αλληλεπιδρώντας και χρησιμοποιώντας την εφαρμογή SQLite3 του kennytm ώς εξωτερικό προβολέα (μπορείτε να το βρείτε εδώ).
    - mm: Τα αρχεία με την κατάληξη mm υποστηρίζονται τώρα από τον Προβολέα Εγγράφων
  - Προβολέας PDF
    - Επιδιορθώθηκε το πρόβλημα με την απώλεια μνήμης κατά τη μετάβαση σε άλλη σελίδα.
    - Μετακινήθηκε το κουμπί "Μετάβαση στη σελίδα" στη γραμμή πλοήγησης εμφανίζοντας επίσης την τωρινή προβαλλόμενη σελίδα και τον αριθμό όλων των σελίδων.
    - Το μενού που εμφανιζόταν κατά τη μετάβαση σε άλλη σελίδα δεν έχει προεπιλεγμένη τιμή πια.
  - Συννημένα Αρχεία (Email)
    - Αφαιρέθηκε το κείμενο "Αποστέλλονται συννημένα αρχεία με το iFile" από το πεδίο του θέματος και το "Συννημένα αρχεία του iPhone με το iFile" από το πεδίο του μηνύματος κατά την αποστολή email με συννημένα αρχεία.
  - Web Server
    - Προστέθηκε η υποστήριξη WebDAV (σας επιτρέπει να χρησιμοποιήσετε το iFile ως δικτυακό δίσκο στα Windows, Linux και MacOSX) - αυτή η λειτουργία είναι περιορισμένη μόνο σε εγγεγραμένους χρήστες.
    - Προστέθηκε η υποστήριξη για προστασία του web server με Όνομα Χρήστη/Κωδικό Πρόσβασης. Αυτή είναι μόνο μια βασική προστασία.
    - Άλλαξε η διαμόρφωση της εμφανιζόμενης λίστας ώστε να εμφανίζει πρώτα καταλόγους/φακέλους και έπειτα αρχεία.
    - Διορθώθηκε το πρόβλημα όπου η διεύθυνση http του web server εμφανιζόταν κάποιες φορές λανθασμένα.
    - Διορθώθηκε το πρόβλημα όπου κάποιες φορές ο web server αρνούταν να εκκινήσει επιτυχώς. Η αιτία ήταν ότι η θύρα που προσπαθούσε να χρησιμοποιήσει ήταν ήδη σε χρήση. Τώρα επαναχρησιμοποιεί τη θύρα.
    - Διορθώθηκε το πρόβλημα όπου η ονομασία ενόσ αρχείου δεν χρησιμοποιούταν κατα το ανέβασμά του με τον Internet Explorer.
    - Άλλαξε η διαμόρφωση της ονομασίας των ανεβασμένων αρχείων σε περίπτωση που υπάρχει κάποιο αρχείο με την ίδια ονομασία: Το νέο αρχείο κρατάει την αρχική του ονομασία συν έναν αριθμό απο δίπλα, π.χ. το "uploaded.txt" θα μετονομαστεί σε "uploaded (1).txt" εάν το "uploaded.txt" υπάρχει ήδη.
  - Αναδιαμόρφωση Αρχείου Ήχου MPEG 4
    - Το iFile αποσυμπιέζει τη διάρκεια του τραγουδιού από τα στοιχεία του αρχείου m4a. Αυτή η διαδικασία επιταχύνει την ανεύρεση των τραγουδιών τα οποία είναι μεγάλα σε μέγεθος.
  - Αναπαραγωγή Μουσικής
    - Προστέθηκε η επιλογή όπου με διπλό tap στο εξωφυλλο του άλμπουμ αλλάζει σε προβολή των λίστων αναπαραγωγής.
    - Προστέθηκε νέα λειτουργία επανάληψης για να αναπαράγεται ένα μουσικό κομμάτι χωρίς επανάληψη. Αυτό είναι τώρα προεπιλεγμένο.
  - Προβολέας Βίντεο
    - Προστέθηκε υποστήριξη για TV output μέσω του καλωδίου της Apple.
  - Προβολέας Συμπιεσμένων Αρχείων
    - Διορθώθηκε το πρόβλημα όπου δεν εμφανίζονταν όλα τα αρχεία σε ένα αρχείο tar.
  - Αποσυμπιεστής
    - Επιπρόσθετα με τον Προβολέα Συμπιεσμένων Αρχείων τώρα προστέθηκε η δυνατότηα να αποσυμπιέσετε ένα αρχείο χωρίς να δείτε τα περιεχόμενά του.

- ## 1.1.0-1 - Έκδοση με νέα Χαρακτηριστικά και Επιδιορθώσεις

  - Γενικά
    - Το iFile τώρα είναι συμβατό μόνο με την 3.0. Όλος ο κώδικας για την υποστήριξη σε 2.x αφαιρέθηκε.
    - Άλλαξε η διαδικασία εγγραφής για να συμβαίνει όταν κάντετε έξοδο από την Κατάσταση Εγγραφής στις Προτιμήσεις του iFile.
    - Το πακέτο εξάρτησης com.saurik.mamu (mailto:attachment=) αφαιρέθηκε.
    - Μερικές από τις παρακάτω λειτουργίες της νέας έκδοσης θα είναι διαθέσιμες μόνο για εγγεγραμμένους χρήστες:
      - Αναζήτηση αρχείου.
      - Υποστήριξη για εξωτερικό προβολέα.
      - Αναπαραγωγή Λίστας Αναπαραγωγής στον νέο Player Τραγουδιών.
      - Εμφάνιση αυθεντικού τίτλου τραγουδιού αντί για την κωδικοποιημένη ονομασία του.
      - Εμφάνιση προεπισκοπήσεων αντί για τα προεπιλεγμένα εικονίδια για τις εικόνες.
      - Αναζήτηση κειμένου στον Προβολέα Εγγράφων.
  - Μεταφράσεις
    - Προστέθηκε υποστήριξη για Ολλανδικά και Σλοβάκικα.
  - Περιηγητής Αρχείων
    - Προστέθηκε η δυνατόυητα αναζήτησης. Η αναζήτηση μπορεί να διεξαχθεί μόνο στον τρέχοντα κατάλογο αλλά και σε όλο το σύστημα αρχίζοντας από τον τρέχοντα κατάλογο. Τα αποτελέσματα της αναζήτησης δεν εξαρτώνται με αυτ´ που αναζητάτε σε θέμα μικρών/κεφαλαίων. Οι αναζητήσεις σε κατάσταση Επεξεργασίας επιτρέπουν τη διαγραφή, την αντιγραφή, την αποκοπή και τη συμπίεση των ευρημάτων που έχουν επιλεχθεί κιόλας. Τα αποτελέσματα της αναζήτησης εμφανίζουν την ημερομηνία και το μέγεθος του τρέχοντα καταλόγου και τη διαδρομή για άλλους καταλόγους. Μέσω των προτιμήσεων του iFile ο χρήστης μπορεί να επιλέξει αν η μορφή της αναζήτησης είναι
      - Απλή: αναζήτηση κειμένου που περιέχεταισε ονομασία αρχείου, π.χ. "test",
      - Wildcard, π.χ."*test*",
      - Απλή Έκφραση, e.g. ".*test.*".
    - Άλλαξε η μορφή αποεπιλογής κατά την πλοήγηση σε προηγούμενο κατάλογο ιεραρχικά: Τώρα ο τρέχων κατάλογος αποεπιλέγεται αφού πλοηγηθείτε πίσω. Έτσι γίνεται εύκολο να καταλάβετε από που ήρθατε.
    - Προστέθηκε η υποστήριξη αναγνώρισης τίτλων εφαρμογών από το AppStore αντί της κωδικοποιημένης ονομασίας στο ~mobile/Applications. Κάτω από τον τίτλο της εφαρμογής εμφανίζεται και κωδικοποιημένη ονομασία.
    - Οι λειτουργίες αντιγραφής, αποκοπής και επικόλλησης αναδιαμορφώθηκαν ώστε να χρησιμοποιούν το clipboard του iPhone. Τώρα η τοποθεσία του αντεγραμμένου αρχείου (και επίσης το URL του) θα είναι διαθέσιμη και σε άλλες εφαρμογές προς επικόλληση. Το περιεχόμενο του αρχείου όμως δεν θα αντιγράφεται.
    - Είναι δυνατή η εμφάνιση του τίτλου ενός τραγουδιού αντι για την κωδικοποιημένη ονομασία του. Αυτή η δυνατότητα μπορεί να ενεργοποιηθεί/απενεργοποιηθεί από τις προτιμήσεις του iFile.
    - Το iFile μπορεί να εμφανίσει τις προεπισκοπίσεις των εικόνων αντί του προεπιλεγμένου εικονιδίου. Αυτή η δυνατότητα μπορεί να ενεργοποιηθεί/απενεργοποιηθεί από τις προτιμήσεις του iFile. Οι προεπισκοπίσεις ισχύουν μόνο για εικόνες μικρότερες από 1MB.
  - Επεξεργασία Γνωρισμάτων
    - Προστέθηκε υποστήριξη για αλλαγή δικαιωμάτων και ιδιοκτησίας ενός καταλόγου ιεραρχικά.
      - Τα δικαιώματα εφαρμόζονται για χρήστη και ομάδα σε όλους τους καταλόγους και τα αρχεία ιεραρχικά.
      - Τα δικαιώματα ενός καταλόγου θα εφαρμοστούν όπως ακριβώς και του καταλόγου που ανήκουν.
      - Τα δικαιώματα ανάγνωσης και διαμόρφωσης ενός καταλόγου θα εφαρμοστούν όπως ακριβώς και του καταλόγου που ανήκουν. Εάν ένα αρχείο είναι εκτελέσιμο, θα παραμείνει εκτελέσιμο.
    - Προστέθηκε κουμπί για την προσθήκη φωτογραφιών στο Άλμπουμ Κάμερας (γίνεται επίσης και από τον Προβολέα Είκόνων).
    - Προστέθηκε κουμπί για την προσθήκη βίντεο στο Άλμπουμ Κάμερας (διαθέσιμο μόνο στην iPhoneOS 3.1).
    - Επιδιορθώθηκε το κρασάρισμα ενός αρχείου ή φακέλου με ιδιοκτήτη ή ομάδα εφαρμοσμένη σε ένα ID που δεν προυπήρχε στη βάση δεδομένων του iPhoneOS.
  - Τύποι Αρχείων
    - Προστέθηκε υποστήριξη για αρχεία pps (PowerPoint).
    - Άνοιγμα video/x-flv τύπου mime με το OpenStreamer (εξωτερικό).
  - Χειρισμός Συμπιεσμένου Αρχείου
    - Επιδιορθώθηκαν πολλά προβλήματα με το χειρισμό συμπιεσμένων αρχείων.
    - Τα συμπιεσμένα αρχεία τώρα μπορούν να δημιουργηθούν και να αποσυμπιεστούν σε οποιονδήποτε φάκελο και όχι μόνο αυτών που ανήκουν στο user mobile.
    - Η αποσυμπίεση αρχείων tar.gz, tar.Z και tar.bz2 δεν λειτουργούσε καθόλου. Αυτό έχει επιδιορθωθεί.
    - Η διαγραφή αρχείων από ένα συμπιεσμένο αρχείο υποστηρίζεται μόνο για zip.
  - Δημιουργία Συντόμευσης
    - Η δημιουργία συντόμευσης έγινε πολύ πιο εύκολη τώρα:
      - Επιλέξτε τα αρχεία για τα οποία θέλετε να δημιουργήσετε συντόμευση στην Κατάσταση Επεξεργασίας.
      - Πιέστε το κουμπί ενεργειών και επιλέξτε "Αντιγραφή/Συντόμευση".
      - Πλογηθείτε στον κατάλογο/φάκελο όπου θέλετε να δημιουργήσετε τη συντόμευση.
      - Πιέστε ξανά το κουμπί ενεργειών και επιλέξτε "Συντόμευση".
  - Αναπαραγωγή Μουσικής
    - Ένας νέος καλοσχεδιασμένος player πανομοιότυπος με τον ενσωματωμένο.
    - Υποστήριξη για αναπαραγωγή αρχείων από μια λίστα αναπαραγωγής σε φορμά m3u, όλων των αρχείων σε έναν κατάλογο ή όλα τα ευρημένα αρχεία που έχουν εντοπιστεί μέσω της αναζήτησης.
    - Υποστήριξη επανάληψης μιας ολόκληρης λίστας αναπαραγωγής ή ενός μόνο τραγουδιού.
    - Υποστήριξη για τυχαία αναπαραγωγή των λίστων αναπαραγωγής.
    - Υποστήριξη για εμφάνιση ετικέτων αρχείων mp3 και m4a.
    - Το εξώφυλλο του άλμπουμ αρχείου m4a για να προβληθεί θα πρέπει να υπάρχει στον ίδιο φάκελο με το τραγούδι με την ονομασία folder.jpg ή cover.jpg.
    - Υποστήριξη για προηγούμενο και επόμενο τραγούδι, fast forward και rewind.
    - Προβολή διάρκειας αναπαραγωγής τραγουδιού και υπολειπόμενου χρόνου.
  - Προβολέας Εικόνων
    - Ο προβολέας εικόνων απέκτησε ένα νέο κουμπί για την προσθήκη μιας εικόνας στο Άλμπουμ Κάμερας.
  - Προβολέας PDF
    - Επανασχεδιασμός του χειρισμού ώστε να υπάρχουν πολύ μεγαλύτερες κλίμακες για μεγέθυνση.
    - Με διπλό tap το μεγενθύνετε κατά 2 μονάδες κλίμακας ή - εάν βρίσκεται ήδη σε μεγέθυνση - το σμικρύνετε.
    - Με μονό tap εμφανίζεται και αποκρύπτεται η γραμμή πλοήγησης και κατάστασης.
    - Κατά τη μετάβαση σε άλλη σελίδα ο προβολέας θα εμφανίσει την πάνω αριστερά γωνία.
  - Προβολέας Web
    - Επιδιορθώθηκαν τα προβλήματα με τους τοπικούς συνδέσμους μέσα σε σελίδα όπου η γραμμή πλοήγησης εμφάνιζε μόνο το μήνυμα "Φόρτωση...".
  - Επεξεργαστής Κειμένου/Επεξεργαστής Property List
    - Ο επεξεργαστής κειμένου και ο επεξεργαστής property list χωρίστηκαν. Έτσι, τώρα είναι πιο εύκολη η απ'ευθείας επεξεργασία αρχείων που έχουν άλλη κατάληξη μέσω του "Άνοιγμα με..."
    - Προστέθηκε κουμπί για την εμφάνιση και απόκρυψη της γραμμής πλοήγησης και κατάστασης./li>
    - Προστέθηκε κουμπί αναζήτησης κειμένου. Εάν η αναζήτησει βρεί αποτελέσματα τότε σας κατευθύνει στη λέξη. Η υπογράμμιση του αποτελέσματος δεν είναι ακόμα δυνατή.
    - Προστέθηκε η δυνατότητα απόκρυψης του πληκτρολογίου στην κατάσταση επεξεργασίας.
  - Εγκατάσταση Πακέτων Debian
    - Το iFile τώρα μπορεί να εγκαταστήσει πακέτα Debian και επίσης να αποσυμπιέζει το περιεχόμενό τους.
  - Εξωτερικοί Προβολείς
    - Το iFile τώρα υποστηρίζει εξωτερικούς προβολείς ορισμένους από τα θέματα. Αυτή η λειτουργία διεξάγεται με τον ορισμό ενός ID εφαρμογής και ένα τροποποιημένο σχήμα για ένα δωσμένο τύπο mime. Το iFile θα ανοίξει το αρχείο με μία εξωτερική εφαρμογή/προβολέα.
  - Προτιμήσεις:
    - Νέα επιλογή για εμφάνιση τίτλου τραγουδιού αντί για την κωδικοποιημένη ονομασία (mp3 και m4a).
    - Νέα επιλογή για εμφάνιση προεπισκοπήσεων εικόνων αντί για τα προεπιλεγμένα εικονίδια.

- ## 1.0.1-1 - Έκδοση με νέα Χαρακτηριστικά και Επιδιορθώσεις

  - Το iFile μετατρέπεται σε ShareWare. Κάποιοι χρήστες παραπονέθηκαν ότι οι δωρεές δεν θα πρέπει να είναι αναγκαίες. Καθώς χρειάζομαι οικονομική υποστήριξη για την ανάπτυξη του iFile, δεν καλούντε 'δωρεές' πια, αλλά εγγραφή το οποίο είναι ξεκάθαρο.
  - Προστέθηκε φόρμα εγγραφής ως αναδυόμενο παράθυρο η οποία είναι επίσης διαθέσιμη στις Προτιμήσεις του iFile.
  - Προστέθηκε υποστήριξη για το χειρισμό URL ifile://... . Μόνο τα αρχεία στο ~mobile μπορούν να ανοίξουν κατ'αυτόν τον τρόπο.

- ## 1.0.0-2 - Έκδοση με Επιδιορθώσεις

  - Επιδιορθώθηκε το πρόβλημα με το μήνυμα σφάλματος κατά την αποσυμπίεση αρχείων rar. Τα αποσυμπιεσμένα αρχεία τοποθετούνται στον τωρινό φάκελο αντί στο /private/var/mobile.
  - Διορθώθηκε η κωδικοποίηση στο changelog.html και στο features.html για τα Πολωνικά

- ## 1.0.0-1 - Έκδοση με νέα Χαρακτηριστικά και Επιδιορθώσεις

  - Υποστήριξη για την iPhoneOS 2.x και 3.0
  - Προστέθηκε υποστήριξη για Τσέχικα, Πολωνικά και Ουκρανικά.
  - Ειδοποίηση για Δωρεά
    - Όταν εκκινεί το iFile θα εμφανίζεται μία ειδοποίηση η οποία θα ειδοποιεί το χρήστη για τον αριθμό των μεταφορτωμένων εκδόσεων του iFile και τον αριθμό των υπολειπόμενων δωρεών μέχρι τη νέα έκδοση. Ο χρήστης έχει τη δυνατότητα να κατευθυνθεί απ'ευθείας στο PayPal για να κάνει μια δωρεά. Η μέτρηση των μεταφορτωμένων εκδόσεων και των δωρεών καταγράφονται από το internet (iphone.heinelt.eu) όταν εκκινεί το iFile. Αυτή η ενημέρωση συμβαίνει μόνο μία φορά την ημέρα.
  - Περιηγητής Αρχείων
    - Με διπλό tap γίνεται επιλογή/αποεπιλογή όλων των αρχείων σε έναν κατάλογο στην κατάσταση επεξεργασίας.
    - Διορθώθηκε το πρόβλημα με τη δημιουργία νέου αρχείου/φακέλου/συντόμευσης όπου το πεδίο 'Τύπος' ενώ είναη επεξεργάσιμο έδινε την εντύπωση πως δεν ήταν.
    - Αντιγραφή/Μετακίνηση
      - Η διαδικασία αντιγραφής και μετακίνησης αρχείων τώρα γίνεται στο παρασκήνιο.
      - Εμφανές είναι το μήνυμα το οποίο ειδοποιεί το χρήστη ότι η διαδικασία τελείωσε.
      - Όταν ένα αρχείο ήδη υπάρχει εμφανίζεται ένα μήνυμα το οποίο προτρέπει το χρήστη να:
        - Ακυρώσει τη διαδικασία.
        - Μετονομάσει το αρχείο που επρόκειτο να αντιγραφεί.
        - Αντικαταστήσει το υπάρχον αρχείο.
        - Αντικαταστήσει όλα τα αρχεία.
    - Γνωρίσματα Καταλόγων
      - Ο επεξεργαστής γνωρισμάτων τώρα προβάλλει το μέγεθος των περιεχόμενων ενός καταλόγου κατά μέσο όρο και τον αριθμό των εμπεριεχόμενων αρχείων.
    - Η συμπίεση των αρχείων τώρα τρέχει στο παρασκήνιο.
  - Προβολέας Κειμένου
    - Προστέθηκε υποστήριξη για αρχεία nib και xib.
  - Προβολέας ΖΙΡ
    - Προστέθηκε υποστήριξη για αποσυμπίεση και άλλων τύπων αρχείων: 7z, deb, rar, tar, tar.gz, tar.bz2, tar.Z, tgz, tbz2, gz, bz2, Z.
    - Η αποσυμπίεση χρησιμοποιεί το unzip για να κάνει zip αρχεία, το unrar για να κάνει rar αρχεία, το tar για όλα τα tar-based αρχεία. Όλες οι άλλες καταλήξεις υποστηρίζονται από το p7zip (7z) το οποίο τρέχει κάτω από το user mobile.
    - Η λήψη εμπεριεχόμενων αρχείων, η αποσυμπίεση και η διαγραφή αρχείων τώρα τρέχουν στο πρασκήνιο.
  - Web Server
    - Προστέθηκε υποστήριξη για περιήγηση φακέλων (φθίνουσα στην ιεραρχία)
    - Τα γραφικά άλλαξαν παντελώς.
    - Προστέθηκε μπάρα διαδικασίας για το ανέβασμα και τη μεταφόρτωση αρχείων..
    - Η σελίδα με την κατάσταση του Server κάνει μια λίστα με όλες τις αιτούμενες σελίδες και αρχεία.
    - Ο αριθμός της θύρας του Server μπορεί να διαμορφωθεί από τις προτιμήσεις.
  - Προτιμήσεις
    - Προστέθηκε πεδίο για τη ρύθμιση του αριθμού της θύρας του Web Server .

- ## 0.9.7 - Έκδοση με νέα Χαρακτηριστικά και Επιδιορθώσεις

  - Προστέθηκε υποστήριξη για Αιθιοπικά, Κινέζικα, Ρώσικα και Τούρκικα.
  - Προτιμήσεις
    - Επιδιορθώθηκε το σοβαρό πρόβλημα με τις ρυθμίσεις πεδίων στις αρχικές τους τιμές έπειτα από τον ορισμό ενός γέματος ή τη σειρά ταξινόμησης.
  - Τύποι Mime
    - Εγγράφηκε το audio/x-wav στους τύπους mime για την αναπαραγωγή μουσικής.
  - Περιηγητής Αρχείων
    - Προστέθηκαν animations κατά την πλοήγηση στον περιηγητή και το πάτημα του home button.
    - Προστέθηκε κουμπί για Σελιδοδείκτες (βλ. παρακάτω).
    - Επιδιορθώθηκε το πρόβλημα όπου κατά την εκκίνηση λόγω των πολλών περιεχομένων και καταλόγων το iFile κράσαρε.
  - Επεξεργαστής Γνωρισμάτων
    - Προστέθηκε υποστήριξη για την επιλογή προβολέα για το άνοιγμα αρχείου. Αυτό δεν είναι μια ρύθμιση, αλλά ανοίγει τον προβολέα απ'ευθείας με το τρέχον αρχείο.
  - Σελιδοδείκτες
    - Το περιβάλλον εργασίας είναι ίδιο σε εμφάνιση και λειτουργικότητα με το Safari.
    - Προστέθηκε υποστήριξη για Δημιουργία Σελιδοδεικτών στον Περιηγητή Αρχείων (σελιδοδείκτες για φακέλους και επεξεργασία των σελιδοσεικτών), στον Προβολέα Ιστοσελίδων (σελιδοδείκτες για έγγραφα και ιστοσελίδες), στον Προβολέα PDF (σελιδοδείκτες εγγράφων), στον Προβολέα Κειμένων (σελιδοδείκτες εγγράφων).
    - Οι Σελιδοδείκτες μπορούν να ανοίξουν μόνο από τον Περιηγητή Αρχείων.
    - Οι σελιδοδείκτες του Safari μπορούν να χρησιμοποιηθούν, αλλά όχι να διαμορφωθούν.
  - Προβολέας Εγγράφων/Ιστοσελίδων
    - Η γραμμή εργαλείων και πλοήγησης μπορεί να αποκρυφθεί με μονό tap.
  - Προβολέας PDF
    - Η γραμμή εργαλείων και πλοήγησης μπορεί να αποκρυφθεί με μονό tap.
    - Με διπλό tap γίνεται μετάβαση στην επόμενη σελίδα.
  - Προβολέας Κειμένου
    - Η γραμμή εργαλείων και πλοήγησης μπορεί να αποκρυφθεί με μονό tap. Παρακαλώ σημειώστε ότι αυτό θα συμβεί μόνο όταν η τοποθεσία του κέρσορα δεν αλλάζει (στην κατάσταση επεξεργασίας).
  - Υποστήριξη MobileSubstrate
    - Προστέθηκε υποστήριξη για το MobileSubstrate: το MobileSubstrate δεν φορτώνει αυτόματα για τις εφαρμογές που τρέχουν κάτω από το χρήστη "root". Τώρα που το MobileSubstrate φορτώνει από το iFile όλες οι προεκτάσεις βασιζόμενες στο MobileSubstrate δουλέυουν επίσης στο iFile, π.χ. το Clippy κ.ά.
    - Προστέθηκε υποστήριξη στον Περιηγητή Αρχείων για να περνάει τη διαδρομή αρχείων στο Clippy.
  - Τεκμηρίωση
    - Οι μεταφράσεις για το εγχειρίδιο χρήσης μετακινήθηκαν σε ξεχωριστά πακέτα του Cydia για κάθε γλώσσα.
    - Τα έγγραφα "Χαρακτηριστικά" και "Λίστα Αλλαγών" παραμένουν το κύριο πακέτο του iFile στο Cydia.
    - Όταν κάνετε κλίκ στο σύνδεσμο "Εγχειρίδιο Χρήσης" στην τεκμηρίωση, το Cydia θα εκκινήσει με το σωστό πακέτο προς εγκατάσταση.
    - Αυτή η αλλαγή ήταν απαραίτητη επειδή το πακέτο του iFile στο Cydia έγινε ενοχλητικά μεγάλο.

- ## 0.9.6-2 - Έκδοση με Επιδιορθώσεις

  - Web Server
    - Επιδιορθώθηκε το πρόβλημα με την απώλεια μνήμης του iFile απώλεια κατά τη μεταφόρτωση μεγάλων αρχείων.
    - Ενισχυμένη μεταφόρτωση αρχείου ώστε οι πληροφορίς για το μέγεθος του αρχείου (Περιεχόμενο-Μήκος) να αποστέλλονται στον περιηγητή για να ξέρει με τι πρόκειται.
    - Ενισχύθηκε η προβολή σελίδας σφάλματος όταν η λίστα ανεβασμένων αρχείων είναι άδεια.
    - Διορθώθηκε το πρόβλημα όπου ο τίτλος των περιεχομένων περιείχε ένα byte περισσότερο με μηδενική τιμή. Αποτέλεσμα αυτού ήταν όλα τα μεταφορτωμένα αρχεία να είναι λανθασμένα.

- ## 0.9.6-1 - Έκδοση με νέα Χαρακτηριστικά και Επιδιορθώσεις

  - Προστέθηκε υποστήριξη για Αραβικά, Γαλλικά και Γιαπωνέζικα. Οι Αραβικές και Γαλλικές τεκμηριώσεις θα μεταφραστούν στην επόμενη έκδοση.
  - Περιηγητής Αρχείων
    - Οι ονομασίες των συντομεύσεων επισημαίνονται με σκούρο μπλέ χρώμα.
    - Πρστέθηκε η υποστήριξη για σύρσιμο για διαγραφή σε κανονική (μη-επεξεργασίας) κατάσταση.
    - Προστέθηκε το '+' στη γραμμή εργαλείων στην κατάσταση επεξεργασίας για τη δημιουργία αρχείου, συντόμευσης και κατάλογου με επιπλέον τη ρύθμισή τους για δικαιώματα και ιδιοκτησία.
    - Άλλαξε η προβολή μεγέθους αρχείου και τώρα εμφανίζεται ως Bytes, KB, MB, GB.
    - Προστέθηκε υποστήριξη για άνοιγμα αρχείων με τη λειτουργία "Άνοιγμα με..." για την επιλογή ενός προγράμματος προβολής (προσωρινά υποστηρίζονται μόνο εσωτερικοί προβολείς/εφαρμογές).
    - Προστέθηκε το θέμα "Leopard".
    - Προστέθηκε το κουμπί Home στη γραμμή εργαλείων.
  - Τύποι Mime
    - Προστέθηκε η κατάληξη js ώς μέρος κειμένου.
    - Προστέθηκαν οι καταλήξεις των τύπων αρχείων του Office 2007 του Word, Excel, Powerpoint (docx, xlsx, pptx).
  - Επεξεργασία Προτιμήσεων
    - Προστέθηκε υποστήριξη για εμφάνιση/απόκρυψη κρυδών αρχείων/φακέλων.
    - Υποστήριξη για προεπιλεγμένη διαδρομή κατά την εκκίνηση : ορισμός κατά την έξοδο ή ορισμένο αρχείο.
    - Υποστήριξη για αλλαγή μεγέθους γραμματοσειράς στον προβολέα εγγράφων.
    - Υποστήριξη για προσθήκη θέματος.
    - Υποστήριξη για ταξινόμηση αρχείων κατά: όνομα, κατάληξη, μέγεθος, ή ημερομηνία.
  - Επιπλέον πεδία στην Επεξεργασία Γνωρισμάτων
    - Μέγεθος Αρχείου
    - Τύπος Αρχείου, π.χ. Κατάλογος, Συντόμευση, Κανονικό Αρχείο
    - Προορισμός Συντόμευσης για τις Συντομεύσεις
    - Τύπος Mime για Κανονικά Αρχεία
  - Προβολέας Εγγράφων
    - Διορθώθηκε το πρόβλημα στην κατάσταση επεξεργασίας όπου κατά το πάτημα Ακύρωσης το κείμενο εξαφανιζόταν.
  - Web Server
    - Διορθώθηκε το πρόβλημα με τους χαρακτήρες UTF-8 στις προβαλλόμενες ιστοσελίδες.

- ## 0.9.5 - Έκδοση με νέα Χαρακτηριστικά και Επιδιορθώσεις

  - Διορθώθηκε το πρόβλημα όποθ ο Προβολέας ZIP δεν αποσυμπίζε τα αρχεία όταν επιλεγόταν το Αποσυμπίεση Όλων των Αρχείων.
  - Άλλαξε το ID της εφαρμογής από eu.heinelt.iFile σε eu.heinelt.ifile λόγω πιθανών προβλημάτων με το Cydia και το BigBoss repository.
  - Ενισχυμένη Επεξεργασία Γνωρισμάτων Αρχείου για την επεξεργασία
  - της ονομασίας
  - της ιδιοκτησίας του αρχείου (ιδιοκτήτης και ομάδα)
  - των δικαιωμάτων ενός αρχείου για το user, την ομάδα και όλων (ανάγνωση, εγγραφή, εκτέλεση, sticky bit)
  - τελευταία ημέρα και ώρα διαμόρφωσης
  - Προστέθηκε η υποστήριξη επεξεργασίας κειμένου στον Προβολέα Εγγράφων:
  - Τα αρχεία Property list (plist) υποστηρίζονται για ανάγνωση και εγγραφή (XML και Binary).
  - Τα αρχεία κειμένου αναγνωρίζονται ως UTF-8 ή - αν αυτό αποτύχει - ως ISO-Latin.
  - Τα αρχεία κειμένου που περιέχουν πινακοποιητές διευρύνονται κατά την ανάγνωση, π.χ. οι πινακοποιητές αντικαθίστανται με κενά (διευρύνεται η λειτουργικότητα), επειδή το iPhoneOS UITextView διαγράφει τους πινακοποιητές. Κατά τη γραφή αρχείων κειμένου όμως τα κενά αντικαθίστανται με τους πινακοποιητές (μικραίνει η λειτουργικότητα)
  - Το πλάτος του πινακοποιητή μπορεί να ρυθμιστεί από το νέο μενού Προτιμήσεων. Το προεπιλεγμένο μέγεθος είναι 8.
  - Τα αρχεία που γράφονται πάλι στο δίσκο αποκτούν ίδια δικαιώματα, ιδιοκτήτη και ομάδα με το αυθεντικό αρχείο (αλλιώς θα ήταν root).
  - Άλλαξε η υποδομή για το χεορισμό των καταλήξεων των αρχείων ώστε να βασίζονται σε τύπους mime και συζευγμένες καταλήξεις αρχείων.
  - Προστέθηκε υποδομή των προβολέων αρχείων ώστε να βασίζονται σε τύπους mime αντί των καταλήξεων. Αυτό επίσης περιλαμβάνει την πιθανότητα χρήσης πολλαπλών προβολέων αρχείων ανά τύπο mime ώστε ο χρήστης να έχει τη δυνατότητα επιλογής ενός συγκεκριμένου προβολέα, π.χ. ένα αρχείο κειμένου/html να μπορεί να προβληθεί με έναν προβολέα εγγράφων ή HTML.
  - Προστέθηκαν οι ακόλουθες υποστηριζόμενες καταλήξεις: cfg, cnf, conf, j, java, list, php, plist, script, sh.
  - Προστέθηκε υποδομή για υποστήριξη θεμάτων για εικονίδια αρχείων.
  - Προστέθηκε το κλείδωμα του scroll στον προβολέα PDF: Εάν ο χρήστης αρχίζει να scrollάρει κατά μία μεριά (οριζόντια ή κάθετα), ο Προβολέας PDF απενεργοποιεί το scrolling προς άλλη κατεύθυνση μέχρις ότου ο χρήστης σταματήσει να scrollάρει.
  - Προστέθηκε κουμπί Προτιμήσεων και πεδίο στις Προτιμήσεις για τη ρύθμιση του πλάτους του πινακοποιητή.

- ## 0.9.4 - Έκδοση με νέα Χαρακτηριστικά

  - Προστέθηκε υποστήριξη για Ιταλικά.
  - Πλήρες επανεγράψιμο του Web Server για ανέβασμα και μεταφόρτωση αρχείων μέσω WiFi. Η απόδοση του συστήματος ενισχύθηκε. Η υποστήριξη για μεγάλα αρχεία είναι τώρα αξιόπιστη.
  - Προστέθηκε υποστήριξη για αρχεία ZIP με νέο προβολέα. Τώρα είναι δυνατή η πρσθήκη αρχείων σε ένα νέο αρχείο ZIP, η αποσυμπίεση όλων ή επιλεγμένων αρχείων από ένα αρχείο ZIP, και η διαγραφή αρχείων από ένα αρχείο ZIP.
  - Αποστολή ενός η περισσότερων αρχείων ως συνημμένα σε Email μέσω του Apple MobileMail.
  - Επιδιορθώθηκε το πρόβλημα όπου ο Προβολέας PDF ποτέ δεν εμφάνιζε την τελευταία σελίδα.

- ## 0.9.3 - Έκδοση με νέα Χαρακτηριστικά

  - Αυτή η έκδοση επιτρέπει στο iFile να τρέξει με δικαιώματα super user. Ο χρήστης τώρα μπορεί να μετονομάσει ή να διαγράψει οποιοδήποτε αρχείο ή φάκελο στο σύστημα αρχείων /var .
  - Η κατάσταση επεξεργασίας τώρα υποστηρίζει αντιγραφή, αποκοπή και επικόλληση αρχείων και φακέλων.
  - Προστέθηκε υποστήριξη για Ισπανικά μεταξύ Γερμανικών και Αγγλικών.

- ## 0.9.2 - Έκδοση με Επιδιορθώσεις

  - Αυτή η έκδοση διορθώνει το πρόβλημα όπου ο χρήστης κατέληγε στο /var/mobile/Documents έπειτα από την πρώτη εγκατάσταση και εκκίνηση και ήταν αδύνατο να μετακινηθεί πίσω ιεραρχικά.

- ## 0.9.1 - Πρώτη Δημόσια Έκδοση στο BigBoss Repository

  - Τα αρχεία κειμένου τώρα προβάλλονται σε συσκεκριμένο διαχειριστή UITextView με μικρότερη γραμματοσειρά από αυτήν του UIWebView.
  - Περιλαμβάνεται λεπτομερής τεκμηρίωση

- ## 0.9.0 - Πρώτη Έκδοση

  - Τα αρχεία PDF προβάλλονται τροποποιημένα ώστε να υπάρχει η δυνατότητα μετάβασης σε μια επιθυμητή σελίδα.
  - Οι εικόνες προβάλλονται χρησιμοποιώντας ένα UIWebView.
  - Τα αρχεία Excel, Word, PowerPoint, HTML, Κείμενα προβάλλονται χρησιμοποιώντας ένα UIWebView.
  - Οι Ταινίες και οι Ήχοι αναπαράγονται χρησιμοποιώντας ένα διαχειριστή MPMoviePlayer.
  - Ο Web Server επιτρέπει τη μεταφορά αρχείων από το iFile σε ένα οποιοδήποτε PC, Mac etc.
  - Διαγραφή πολλαπλών αρχείων και φακέλων με τη μία.
  - Μετονομασία αρχείων και φακέλων.